Package com.complexible.stardog

# Enum Class StoredQuery.TriggerPayloadType

java.lang.Object
java.lang.Enum<StoredQuery.TriggerPayloadType>
com.complexible.stardog.StoredQuery.TriggerPayloadType

All Implemented Interfaces:
  `Serializable`, `Comparable<StoredQuery.TriggerPayloadType>`, `Constable`

Enclosing interface:
  `StoredQuery`

public static enum StoredQuery.TriggerPayloadType extends Enum<StoredQuery.TriggerPayloadType>
Enum representing the payload type for triggers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Delta`
  `Full`
  `None`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StoredQuery.TriggerPayloadType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StoredQuery.TriggerPayloadType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final StoredQuery.TriggerPayloadType None

  - ### Full

    public static final StoredQuery.TriggerPayloadType Full

  - ### Delta

    public static final StoredQuery.TriggerPayloadType Delta

- ## Method Details

  - ### values

    public static StoredQuery.TriggerPayloadType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StoredQuery.TriggerPayloadType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null